
*__NOTE__: This is still a work in progress project, suitable for:*
*developers, contributors and testers.*<br>
*None of the provided tests should be considered stable and/or suitable*
*for the evaluation of a product.*

# Introduction

The LISA project provides a toolkit that supports regression testing and
interactive analysis of workload behavior. LISA stands for Linux
Integrated/Interactive System Analysis. LISA's goal is to help Linux
kernel developers to measure the impact of modifications in core parts
of the kernel.  The focus is on the scheduler, power management and
thermal frameworks. However LISA is generic and can be used for other
purposes too.

LISA provides an API for modeling use-cases of interest and developing
regression tests for use-cases.  A ready made set of test-cases to
support regression testing of core kernel features is provided.  In
addition, LISA uses the excellent IPython notebook framework and a set
of notebooks are provided for live experiments on a target platform.

# Documentation

* [Wiki Home page](https://github.com/ARM-software/lisa/wiki)
* [Installation](https://github.com/ARM-software/lisa/wiki/Installation)
* [Quickstart Tutorial](https://github.com/ARM-software/lisa/wiki/Quickstart-tutorial)

# License

This project is licensed under Apache-2.0.

This project includes some third-party code under other open source licenses.  For more information, see lisa/tools/LICENSE.*

# Contributions / Pull Requests

Contributions are accepted under Apache-2.0. Only submit contributions where you have
authored all of the code. If you do this on work time make sure your employer
is cool with this.

